<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="author" content="irstheme">

    <title>Vehicles</title>

    <!--    <link href="assets/css/themify-icons.css" rel="stylesheet">-->
    <link th:href="@{~/assets/css/font-awesome.min.css}" href="assets/css/font-awesome.min.css" rel="stylesheet">
    <link th:href="@{~/assets/fonts/flaticon/flaticon.css}" href="assets/fonts/flaticon/flaticon.css" rel="stylesheet">
    <link th:href="@{~/assets/css/bootstrap.min.css}" href="assets/css/bootstrap.min.css" rel="stylesheet">
    <link th:href="@{~/assets/css/animate.css}" href="assets/css/animate.css" rel="stylesheet">
    <link th:href="@{~/assets/css/owl.carousel.css}" href="assets/css/owl.carousel.css" rel="stylesheet">
    <link th:href="@{~/assets/css/owl.theme.css}" href="assets/css/owl.theme.css" rel="stylesheet">
    <link th:href="@{~/assets/css/slick.css}" href="assets/css/slick.css" rel="stylesheet">
    <link th:href="@{~/assets/css/slick-theme.css}" href="assets/css/slick-theme.css" rel="stylesheet">
    <link th:href="@{~/assets/css/owl.transitions.css}" href="assets/css/owl.transitions.css" rel="stylesheet">
    <link th:href="@{~/assets/css/jquery.fancybox.css}" href="assets/css/jquery.fancybox.css" rel="stylesheet">
    <link th:href="@{~/assets/css/odometer-theme-default.css}" href="assets/css/odometer-theme-default.css"
          rel="stylesheet">
    <link th:href="@{~/assets/css/jquery.bxslider.min.css}" href="assets/css/jquery.bxslider.min.css" rel="stylesheet">
    <link th:href="@{~/assets/css/style.css}" href="assets/css/style.css" rel="stylesheet">
    <link th:href="@{~/assets/css/responsive.css}" href="assets/css/responsive.css" rel="stylesheet">

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script th:src="@{~/https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js}"
            src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
    <script th:src="@{~/https://oss.maxcdn.com/respond/1.4.2/respond.min.js}"
            src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

</head>

<body>

<!-- start page-wrapper -->
<div class="page-wrapper">

    <!-- start preloader -->
    <div class="preloader">
        <div class="lds-ripple">
            <div></div>
            <div></div>
        </div>
    </div>
    <!-- end preloader -->

    <!-- Start header -->
    <header id="header" class="site-header header-style-1">
        <a style="margin-left: 150px" class="navbar-brand" th:href="@{/}" href="#"><img src="../static/assets/images/our-logo.png" alt></a>
        <div th:insert="fragments/navbar.html"></div>
    </header>
    <!-- end of header -->
    <div class="service-page-style">
        <!-- start page-title -->
        <section class="page-title">
            <div class="container">
                <div class="row">
                    <div class="col col-xs-12">
                        <h2>Vehicles</h2>
                        <ol class="breadcrumb">
                            <li><a href="index.html">Home</a></li>
                            <li>Vehicles</li>
                        </ol>
                    </div>
                </div> <!-- end row -->
            </div> <!-- end container -->
        </section>
        <!-- end page-title -->
        <!-- .hx-team-area start -->
    </div>

    <a style="margin-left: 43%;margin-bottom: 50px;margin-top: 75px" th:if="${currentUser.isEmployee() && isHidden != true}" data-toggle="modal" data-target="#quoteModal" href="#"
       class="theme-btn-s2">Create Vehicle</a>

    <div class="modal fade" id="quoteModal" tabindex="-1"
         role="dialog"
         aria-labelledby="quoteModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span></button>
                    <h3 class="modal-title" id="quoteModalLabel">Add Vehicle Details</h3>
                </div>
                <div class="modal-body">
                    <form name="create-form" id="hx-create-form" th:action="@{/vehicles/create}" th:object="${vehicleDto}"
                          method="POST" onsubmit = "return(validate());">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="owner-email">Owner Email:</label>
                                    <input id="owner-email" name="owner-email"
                                           type="text" class="form-control"
                                           required autofocus placeholder=""
                                           th:field="*{email}">
                                    <p th:errors="*{email}"></p>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="car-brand">Brand</label>
                                    <input id="car-brand" name="car-brand"
                                           type="text" class="form-control"
                                           required autofocus placeholder=""
                                           th:field="*{brand}">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="brand-model">Model</label>
                                    <input id="brand-model" name="brand-model"
                                           type="text" class="form-control"
                                           required autofocus placeholder=""
                                           th:field="*{model}">
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="license-plate">License Plate</label>
                                    <input id="license-plate" name="license-plate"
                                           type="text" class="form-control"
                                           required autofocus placeholder=""
                                           th:field="*{licensePlate}">
                                    <span style="color: #be0003" id="error-plate"></span>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="manufacture-year">Year</label>
                                    <input id="manufacture-year" name="manufacture-year"
                                           type="text" class="form-control"
                                           required autofocus placeholder=""
                                           th:field="*{year}">
                                    <span style="color: #be0003" id="error-year"></span>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="car-vin">VIN</label>
                                    <input id="car-vin" name="car-vin"
                                           type="text" class="form-control"
                                           required autofocus placeholder=""
                                           th:field="*{vin}">
                                    <span style="color: #be0003" id="error-vin"></span>
                                </div>
                            </div>
                        </div>
                        <button type="submit" class="btn btn-success">Create</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

        <form th:object="${vehicleSearchDto}" th:action="@{/vehicles/filter}" method="post">
            <div class="grid-container-convert">
                <div class="item1">
                    <input id="filter" type="text" class="form-control"
                           placeholder="Name or License Plate" th:field="*{name}">
                </div>
                <div class="item2">
                    <button type="submit" class="btn btn-primary">Filter</button>
                </div>
            </div>
        </form>


    <section class="visits-list">
        <div class="visits-block">
            <div th:each="vehicle : ${vehicles}">
                <div class="visits-block-clearfix">
                    <div class="visit-icon">
                        <i class="flaticon-car-2"></i>
                    </div>
                    <div class="visit-content">
                        <div class="element1">
                            <h3>Owner:</h3>
                            <div class="grid-div">
                                <p th:text="${vehicle.customer.firstName}">Clio</p>
                                <p>&nbsp</p>
                                <p th:text="${vehicle.customer.lastName}">Renault</p>
                            </div>
                        </div>
                        <div class="element1">
                            <h3>Vehicle Model:</h3>
                            <div class="grid-div">
                                <p th:text="${vehicle.model.name}">Clio</p>
                                <p>, &nbsp</p>
                                <p th:text="${vehicle.model.brand.name}">Renault</p>
                            </div>
                        </div>
                        <div class="element1">
                            <h3>License Plate:</h3>
                            <p th:text="${vehicle.licensePlate}">CA7060PM</p>
                        </div>
                        <div class="element1">
                            <h3>Year:</h3>
                            <p th:text="${vehicle.year}">2020</p>
                        </div>
                        <div class="element1">
                            <h3>VIN(last 6 symbols):</h3>
                            <div class="grid-div">
                                <p th:text="${vehicle.getLastSixVin()}">163245</p>
                            </div>
                        </div>
                    </div>
                    <a th:if="${currentUser.isEmployee() && isHidden != true}"
                       data-toggle="modal" data-target="#quoteModal-update" href="#"
                       class="btn btn-warning">Update</a>

                    <div class="modal fade" id="quoteModal-update" tabindex="-1"
                         role="dialog"
                         aria-labelledby="quoteModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span></button>
                                    <h3 class="modal-title" id="quoteModalLabel-update">Add Vehicle Details</h3>
                                </div>
                                <div class="modal-body">
                                    <form id="register-form-update" th:action="@{/vehicles/update/{id}(id=${vehicle.id})}"
                                          th:object="${vehicleDto}"
                                          onsubmit = "return(validateForUpdate());"
                                          method="POST">
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="owner-email-update">Owner Email:</label>
                                                    <input id="owner-email-update" name="owner-email-update"
                                                           type="text" class="form-control"
                                                           required autofocus placeholder=""
                                                           th:placeholder="${vehicle.customer.credentials.email}"
                                                           th:field="*{email}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="car-brand-update">Brand</label>
                                                    <input id="car-brand-update" name="car-brand-update"
                                                           type="text" class="form-control"
                                                           required autofocus placeholder=""
                                                           th:placeholder="${vehicle.model.brand.name}"
                                                           th:field="*{brand}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="brand-model-update">Model</label>
                                                    <input id="brand-model-update" name="brand-model"
                                                           type="text" class="form-control"
                                                           required autofocus placeholder=""
                                                           th:placeholder="${vehicle.model.name}"
                                                           th:field="*{model}">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="license-plate-update">License Plate</label>
                                                    <input id="license-plate-update" name="license-plate-update"
                                                           type="text" class="form-control"
                                                           required autofocus placeholder=""
                                                           th:placeholder="${vehicle.licensePlate}"
                                                           th:field="*{licensePlate}">
                                                    <span style="color: #be0003" id="error-plate-update"></span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="manufacture-year-update">Year</label>
                                                    <input id="manufacture-year-update" name="manufacture-year-update"
                                                           type="text" class="form-control"
                                                           required autofocus placeholder="2005"
                                                           th:placeholder="${vehicle.year}"
                                                           th:field="*{year}">
                                                    <span style="color: #be0003" id="error-year-update"></span>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="col-md-6">
                                                <div class="form-group">
                                                    <label for="car-vin-update">VIN</label>
                                                    <input id="car-vin-update" name="car-vin-update"
                                                           type="text" class="form-control"
                                                           required autofocus placeholder=""
                                                           th:placeholder="${vehicle.vin}"
                                                           th:field="*{vin}">
                                                    <span style="color: #be0003" id="error-vin-update"></span>
                                                </div>
                                            </div>
                                        </div>
                                        <button type="submit" class="btn btn-success">Update</button>
                                    </form>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
<!-- end of page-wrapper -->


<!-- All JavaScript files
================================================== -->
<script th:src="@{~/assets/js/jquery.min.js}" src="assets/js/jquery.min.js"></script>
<script th:src="@{~/assets/js/bootstrap.min.js}" src="assets/js/bootstrap.min.js"></script>

<!-- Plugins for this template -->
<script th:src="@{~/assets/js/jquery-plugin-collection.js}" src="assets/js/jquery-plugin-collection.js"></script>

<!-- Custom script for this template -->
<script th:src="@{~/assets/js/script.js}" src="assets/js/script.js"></script>
</body>
</html>

<script type = "text/javascript">
    function validate()
    {
        var licencePlate = document.getElementById('license-plate').value;
        var regex = /^[A-Z]{1,2}[0-9]{4}[A-Z]{2}$/;
        var plateTest = regex.test(licencePlate);
        var year = document.getElementById('manufacture-year').value;
        var vin = document.getElementById('car-vin').value;

        if (plateTest === false){
            document.getElementById('error-plate').innerHTML = "Licence plate must be valid for Bulgaria";
            return false;
        }
        if (year.length !== 4){
            document.getElementById('error-year').innerHTML = "Year must be 4 digits";
            return false;
        }
        if (vin.length !== 17){
            document.getElementById('error-vin').innerHTML = "Vin must be 17 digits";
            return false;
        }
    }
</script>
<script type = "text/javascript">
    function validateForUpdate()
    {
        var licencePlate = document.getElementById('license-plate-update').value;
        var regex = /^[A-Z]{1,2}[0-9]{4}[A-Z]{2}$/;
        var plateTest = regex.test(licencePlate);
        var year = document.getElementById('manufacture-year-update').value;
        var vin = document.getElementById('car-vin-update').value;

        if (plateTest === false){
            document.getElementById('error-plate-update').innerHTML = "Licence plate must be valid for Bulgaria";
            return false;
        }
        if (year.length !== 4){
            document.getElementById('error-year-update').innerHTML = "Year must be 4 digits";
            return false;
        }
        if (vin.length !== 17){
            document.getElementById('error-vin-update').innerHTML = "Vin must be 17 digits";
            return false;
        }
    }
</script>